Bug 1276877 - [abrt] cinnamon: _gtk_css_value_equal(): cinnamon killed by SIGSEGV
Summary: [abrt] cinnamon: _gtk_css_value_equal(): cinnamon killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d031611783a417891db32729f49...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-31 19:49 UTC by seer6023
Modified: 2016-12-20 15:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 15:17:02 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (55.59 KB, text/plain)
2015-10-31 19:49 UTC, seer6023
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-31 19:49 UTC, seer6023
no flags Details
File: core_backtrace (8.72 KB, text/plain)
2015-10-31 19:49 UTC, seer6023
no flags Details
File: dso_list (21.65 KB, text/plain)
2015-10-31 19:49 UTC, seer6023
no flags Details
File: environ (1.34 KB, text/plain)
2015-10-31 19:49 UTC, seer6023
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-31 19:49 UTC, seer6023
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-31 19:49 UTC, seer6023
no flags Details
File: maps (113.25 KB, text/plain)
2015-10-31 19:49 UTC, seer6023
no flags Details
File: mountinfo (2.97 KB, text/plain)
2015-10-31 19:49 UTC, seer6023
no flags Details
File: open_fds (5.38 KB, text/plain)
2015-10-31 19:49 UTC, seer6023
no flags Details
File: proc_pid_status (1014 bytes, text/plain)
2015-10-31 19:49 UTC, seer6023
no flags Details
File: var_log_messages (299 bytes, text/plain)
2015-10-31 19:50 UTC, seer6023
no flags Details

Description seer6023 2015-10-31 19:49:19 UTC
Description of problem:
It appears on changing icons

Version-Release number of selected component:
cinnamon-2.6.13-10.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: _gtk_css_value_equal
executable:     /usr/bin/cinnamon
global_pid:     1594
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _gtk_css_value_equal at gtkcssvalue.c:110
 #1 gtk_css_style_add_difference at gtkcssstyle.c:101
 #2 gtk_css_widget_node_style_changed at gtkcsswidgetnode.c:61
 #7 gtk_css_node_set_style at gtkcssnode.c:867
 #8 gtk_css_node_ensure_style at gtkcssnode.c:928
 #10 gtk_css_node_get_style at gtkcssnode.c:949
 #11 gtk_style_context_get_property at gtkstylecontext.c:841
 #12 gtk_style_context_get_valist at gtkstylecontext.c:871
 #13 gtk_style_context_get at gtkstylecontext.c:911
 #14 meta_gtk_widget_get_font_desc at ui/theme.c:5967

Comment 1 seer6023 2015-10-31 19:49:29 UTC
Created attachment 1088231 [details]
File: backtrace

Comment 2 seer6023 2015-10-31 19:49:31 UTC
Created attachment 1088232 [details]
File: cgroup

Comment 3 seer6023 2015-10-31 19:49:34 UTC
Created attachment 1088233 [details]
File: core_backtrace

Comment 4 seer6023 2015-10-31 19:49:37 UTC
Created attachment 1088234 [details]
File: dso_list

Comment 5 seer6023 2015-10-31 19:49:40 UTC
Created attachment 1088235 [details]
File: environ

Comment 6 seer6023 2015-10-31 19:49:42 UTC
Created attachment 1088236 [details]
File: exploitable

Comment 7 seer6023 2015-10-31 19:49:45 UTC
Created attachment 1088237 [details]
File: limits

Comment 8 seer6023 2015-10-31 19:49:51 UTC
Created attachment 1088238 [details]
File: maps

Comment 9 seer6023 2015-10-31 19:49:52 UTC
Created attachment 1088239 [details]
File: mountinfo

Comment 10 seer6023 2015-10-31 19:49:55 UTC
Created attachment 1088240 [details]
File: open_fds

Comment 11 seer6023 2015-10-31 19:49:58 UTC
Created attachment 1088241 [details]
File: proc_pid_status

Comment 12 seer6023 2015-10-31 19:50:00 UTC
Created attachment 1088242 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2016-11-24 13:00:25 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2016-12-20 15:17:02 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.